[deb] cleanup gemfile.lock on uninstall

05/01/2014 02:40 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version: 1.11.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/1108

  

Description

Seems we don't cleanup properly:

root@wheezy934:~# apt-get purge foreman-postgresql foreman

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following packages were automatically installed and are no longer required:

  bundler comerr-dev foreman-proxy krb5-multidev libgssrpc4 libkadm5clnt-mit8 libkadm5srv-mit8 lib

kdb5-6

  libkrb5-dev libpq-dev libpq5 libssl-dev libssl-doc rake ruby-rack ruby-rack-protection ruby-rker

beros

  ruby-sinatra ruby-tilt rubygems-integration unzip zip zlib1g-dev

Use 'apt-get autoremove' to remove them.

The following packages will be REMOVED:

  foreman* foreman-postgresql*

0 upgraded, 0 newly installed, 2 to remove and 15 not upgraded.

After this operation, 47.1 MB disk space will be freed.

Do you want to continue [Y/n]? y

(Reading database ... 44627 files and directories currently installed.)

Removing foreman-postgresql ...

Purging configuration files for foreman-postgresql ...

Removing foreman ...

Purging configuration files for foreman ...

dpkg: warning: while removing foreman, directory '/usr/share/foreman' not empty so not removed

root@wheezy934:~# ls lh /usr/share/foreman

total 4.0K

-rw-r--r- 1 foreman foreman 3.4K May  1 14:24 Gemfile.lock

 We should delete that in the pre-rm script.

Associated revisions

Revision d32d6d79 - 04/26/2016 03:26 AM - Michael Moll 

fixes #5539 - remove Gemfile.lock

Closes GH-1108

History

#1 - 04/23/2016 02:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/1108 added
#2 - 04/26/2016 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d32d6d798b74e2ddfc37ca0a7fb8e068f9465a82.

#3 - 04/27/2016 04:24 AM - Dominic Cleal

- Category set to Debian/Ubuntu

- translation missing: en.field_release set to 155
